#!/usr/bin/env python
# -*- coding: iso8859-15 -*-
##
## test telephone xmlrpc client
## by BeF <bef@erlangen.ccc.de> 2004-04-14
##

import xmlrpclib
import base64

server = xmlrpclib.ServerProxy("https://user:pass@host/path/telefon.php", verbose=1)

testparams = { "Nachname":"", "Phone":"01234567",
	"Vorname":"","Titel":"","Name2":"","Strasse":"","Hausnr":"","Kategorie":"","PLZ":"","Stadt":"","Vorwahl":"","Rufnummer":"","Email":"","URL":"","Vorname_sd":"","Vorname_sd":"", "Limit":10 }

for key in testparams.keys():
	if type(testparams[key]) == type(""):
		testparams[key] = xmlrpclib.Binary(testparams[key])

result = []
try:
	result = server.tel.search(testparams)
except Exception, v:
	print "XML-RPC Error:",v

for row in result:
	for elem in row.keys():
		print elem, row[elem]
	print

