<?

##
## xmlrpc telephone server template
## by BeF <bef@erlangen.ccc.de> - 2004-04-14
##


## xmlrpc: http://xmlrpc.usefulinc.com/php.html
include("xmlrpc.inc");
include("xmlrpcs.inc");

//////////////////////////////////////////////////////////////
// bef's test code... please comment out
$fetchcount_limit = 10;
function gps_dec2deg($a, $b) { return $a.$b; }
function ora_numcols($c) { return 15; }
$befcounter = 0;
function ora_fetch($c) { global $befcounter; return $befcounter++ < 20; }
function ora_getcolumn($c, $i) { global $befcounter; return "i=$i c=$befcounter"; }
//////////////////////////////////////////////////////////////

function serialize_data ( $ora_cursor )
{
	global $fetchcount_limit;

	$result = array();

	$rowcount = 0;
	$ncols = ora_numcols ( $ora_cursor );
	$gpscolid_y = $ncols - 1;
	$gpscolid_x = $ncols - 2;
	$colnames = array("Nachname","Vorname","Titel","Name2","Strasse","Hausnr","Kategorie","PLZ","Stadt","Vorwahl","Rufnummer","Email","URL","GPSx","GPSy");
	while ( ora_fetch ( $ora_cursor ) )
	{
		$resultrow = array();

		for ( $i = 0; $i < $ncols; $i++ )
		{
			$col_content = ora_getcolumn ( $ora_cursor, $i );
			if ( $i == $gpscolid_x )
				$tab = gps_dec2deg ( $col_content, 'x' );
			elseif ( $i == $gpscolid_y )
				$tab = gps_dec2deg ( $col_content, 'y' );
			else
				$tab = $col_content;
			#$tab .= $colnames[$i];
			$resultrow[$colnames[$i]] = new xmlrpcval($tab, "base64");
		}

		$result[] = new xmlrpcval($resultrow, "struct");

		$rowcount += 1;
		if ( $rowcount >= $fetchcount_limit ) { break; }
	}
	return $result;
}

function search($params) {

	global $fetchcount_limit;

	// convert params...
	$searchstruct = $params->getParam(0);
	$search = array();
	while (list($key,$value)=$searchstruct->structeach()) {
		$search[$key] = $value->scalarval();
	}

	// params are: { "Nachname", "Vorname", "Titel", "Name2", "Strasse", "Hausnr", "Kategorie", "PLZ", "Stadt", "Vorwahl", "Rufnummer", "Phone", "Email", "URL", "NachnameSoundex" (int), "VornameSoundex" (int), "Limit" (int) }

	//
	$reallimit = $fetchcount_limit; // hardcoded result limit
	$maxcount = $search['Limit'];

	if ($maxcount > $reallimit) { $maxcount = $reallimit; }
	
	
	// do db init...
	// oracle_connect(.. whatever)

	// search phone db
	// search('select ...')

	// if error: return; // this causes an error on client side
	// if no result: return new xmlrpcresp(new xmlrpcval(array(), "array")); // empty

	$result = serialize_data($ora_cursor);

	// db disconnect
	// ...

	
	return new xmlrpcresp(new xmlrpcval($result, "array"));
	
}


###############################################################################


$s=new xmlrpc_server(
	array("tel.search" => // xmlrpc function name
		array(	"function" => "search", // php function name
			"signature" => array(array($xmlrpcArray, $xmlrpcStruct)), // out=array, in=struct
			"docstring" => "search here!" ) // description
		)
	);

?>

