#!/usr/bin/env python
##
## jabber interface.. to whatever you like
##
##
## version 0.4c - 20040724
##	written by Ben Fuhrmannek <bef@erlangen.ccc.de>
##

import sys,os

__home = os.path.abspath(os.path.dirname(sys.argv[0]))
for path in ['', 'plugins']:
	sys.path.insert(0,__home+'/jabberif/'+path)

from pluginhandler import pluginhandler


## init plugin handler
__ph = pluginhandler()
__ph._plugindir = __home+'/jabberif/plugins'

## read config
__ph._load('config_plugin')
__ph.read_config(__home+'/jabberif.conf')
__ph._configure()
__general_config = __ph.get_config('general', {'module_path':__home+'/contrib/modules'})

## set module path
__module_dirs = os.listdir(__general_config['module_path'])
if __module_dirs:
	sys.path += __module_dirs
sys.path.append(__general_config['module_path'])


## load core plugins
for plugin in ['log_plugin', 'user_plugin', 'base_plugin']:
	__ph._load(plugin)

## load startup plugins
__ph._load_startup_plugins()

## run.
__ph._run()

